import 'package:flutter/material.dart';

class FormController {
  final GlobalKey<FormState> key = GlobalKey<FormState>();
  final Map<String, TextEditingController> _controllerMap = {};
  TextEditingController controller(String name) {
    TextEditingController controller;
    if (_controllerMap.keys.contains(name)) {
      controller = _controllerMap[name];
    } else {
      controller = TextEditingController();
      _controllerMap[name] = controller;
    }
    return controller;
  }

  String text(String controller) {
    if (!_controllerMap.containsKey(controller)) return null;
    return _controllerMap[controller].text;
  }

  bool validate() {
    return key.currentState.validate();
  }
}
